Get a rule owned by the active account.
curl --request GET \
--url https://api.infrawatch.com/api/v1/rules/{rule_uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/rules/{rule_uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/rules/{rule_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/rules/{rule_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rule": {
"category_slugs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"editable": true,
"enabled": true,
"internal_rule": true,
"match_updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"public": true,
"revision": 2,
"source": "<string>",
"tag_names": [
"<string>"
],
"tag_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"admitted_revision": 2,
"dns_takeover": {
"enabled": true,
"claim_mode": "<string>",
"confidence": "<string>",
"http_probe": {
"allow_network_errors": true,
"follow_redirects": true,
"path": "<string>",
"schemes": [
"<string>"
]
},
"matcher_id": "<string>",
"needs_domain_availability": true,
"provider": "<string>",
"record_types": [
"<string>"
],
"references": [
"<string>"
],
"rule_id": "<string>",
"service": "<string>",
"status": "<string>"
},
"individual_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validated_at": "2023-11-07T05:31:56Z",
"validation_error": "<string>"
}
}Authoring and management
Get a rule owned by the active account.
GET
https://api.infrawatch.com/api/v1
/
rules
/
{rule_uuid}
Get a rule owned by the active account.
curl --request GET \
--url https://api.infrawatch.com/api/v1/rules/{rule_uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/rules/{rule_uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/rules/{rule_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/rules/{rule_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rule": {
"category_slugs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"editable": true,
"enabled": true,
"internal_rule": true,
"match_updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"public": true,
"revision": 2,
"source": "<string>",
"tag_names": [
"<string>"
],
"tag_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"admitted_revision": 2,
"dns_takeover": {
"enabled": true,
"claim_mode": "<string>",
"confidence": "<string>",
"http_probe": {
"allow_network_errors": true,
"follow_redirects": true,
"path": "<string>",
"schemes": [
"<string>"
]
},
"matcher_id": "<string>",
"needs_domain_availability": true,
"provider": "<string>",
"record_types": [
"<string>"
],
"references": [
"<string>"
],
"rule_id": "<string>",
"service": "<string>",
"status": "<string>"
},
"individual_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validated_at": "2023-11-07T05:31:56Z",
"validation_error": "<string>"
}
}⌘I